Bug 537346 - kernel: NULL pointer dereference in pci_bus_show_cpuaffinity() [rhel-5.4.z]
Summary: kernel: NULL pointer dereference in pci_bus_show_cpuaffinity() [rhel-5.4.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: OtherQA, ZStream
Depends On: 519633
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-13 09:02 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:18 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-12-15 17:21:10 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1670 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-12-15 17:18:47 UTC

Description RHEL Product and Program Management 2009-11-13 09:02:39 UTC
This bug has been copied from bug #519633 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 3 Anton Arapov 2009-11-21 21:44:31 UTC
in kernel-2.6.18-164.7.1.el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.

Comment 5 Igor Zhang 2009-11-26 07:53:55 UTC
    Have tested it on intel-s3e36-02.rhts.eng.rdu.redhat.com which has a 0000:ff
    pci bus with following configurations:
    i386 + 2.6.18-164.6.1.el5
    i386 + 2.6.18-164.8.1.el5
    and cannot reproduce it.
    We may still need our partners to help us verifying this bug on Intel® TIGW1U with kernel 2.6.18-164.8.1.el5.

Comment 7 Igor Zhang 2009-12-04 09:58:14 UTC
[root@dhcp-65-148 i386]# pwd
/usr/src/redhat/BUILD/kernel-2.6.18_164.8.1.el5/linux-2.6.18.i386/arch/i386
[root@dhcp-65-148 i386]# grep "pci_scan_bus(" * -rn
pci/common.c:546:	bus = pci_scan_bus(busno, &pci_root_ops, sd);
pci/irq-xen.c:153:		if (pci_scan_bus(i, &pci_root_ops, sd))

Could we also use the wrapper function instead of pci_scan_bus()?

Comment 8 Danny Feng 2009-12-04 10:26:21 UTC
(In reply to comment #7)
> [root@dhcp-65-148 i386]# pwd
> /usr/src/redhat/BUILD/kernel-2.6.18_164.8.1.el5/linux-2.6.18.i386/arch/i386
> [root@dhcp-65-148 i386]# grep "pci_scan_bus(" * -rn
> pci/common.c:546: bus = pci_scan_bus(busno, &pci_root_ops, sd);

That's where I implement the wrapper, please take a look at code, not just grepping code.

> pci/irq-xen.c:153:  if (pci_scan_bus(i, &pci_root_ops, sd))

That's used in xen, and this bug is from sysdata is NULL, the comments in pci/irq-xen.c shows sysdata cannot be NULL here because of PCI_DOMAIN support.
Since this line is not buggy, why should we wrapper this?

> Could we also use the wrapper function instead of pci_scan_bus()?

Comment 9 Igor Zhang 2009-12-04 11:07:56 UTC
In fact, I've viewed the code, although not as much as you guy. The grepped result is for your clarity. If you think it's ok, then just ignore here. Sorry for bothering.

Comment 10 Chris Ward 2009-12-04 12:21:38 UTC
This bug was successfully customer verified.

Comment 12 Chris Ward 2009-12-04 12:23:35 UTC
Please double check that the correct patch is included with SanityOnly verification, just to be sure. :)

Comment 14 errata-xmlrpc 2009-12-15 17:21:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1670.html


Note You need to log in before you can comment on or make changes to this bug.